Home Download Buy Blog Forum Support

ST3: BracketHighlighter 2

Re: ST3: BracketHighlighter 2

Postby facelessuser on Wed Feb 13, 2013 4:53 pm

No problem. It all stems from the issue of trying to match an opening and closing bracket that have no differences (like with quotes). How do you know you are between the quotes and not outside the quotes without parsing the syntax of the entire file? You could assume that if the user is calling the plugin, that they must be between two quotes, and then you just look for the first unescaped quote and look for its pair. But with bracket highlighter, I can't be that sloppy (maybe for a plugin that did nothing but swap quotes it would be okay). So BH relies on the fact that Sublime Text has already parsed the file and reports where the strings are. That is why BH does scope based quote swapping (quotes are most reliably found by looking for where the string scopes are). The most important functionality is to accurately match brackets/quotes/etc., all else comes secondary and is leveraged off of the matching.
facelessuser
 
Posts: 1576
Joined: Tue Apr 05, 2011 7:38 pm

Re: ST3: BracketHighlighter 2

Postby facelessuser on Fri Feb 22, 2013 7:58 pm

BracketHighlighter will not work proper if you are installing from the new Package Control for ST3. Since Package Control installs it as a sublime-package archive opposed to unpacking it, everything kind of breaks.

Good news is that I think I know how to run the bracket plugins from inside the archive. I will have to unpack the gutter icons though. I will see if Jon will consider loading gutter icons form archives as well.

I will update when I think I have a solution.
facelessuser
 
Posts: 1576
Joined: Tue Apr 05, 2011 7:38 pm

Re: ST3: BracketHighlighter 2

Postby facelessuser on Sat Feb 23, 2013 4:46 am

BracketHighlighter can now be run from a sublime-package archive. BracketHighlighter now always creates a plugin folder "Theme - BracketHighlighter" where icons will be unpacked to. If BH is not in an archive, icons are still copied to "Theme - BracketHighlighter".

All bracket plugins should still run okay from inside the archive.

You must be on build 3013 or higher for BH to run on ST3 now.

Please report any bugs you find here.
facelessuser
 
Posts: 1576
Joined: Tue Apr 05, 2011 7:38 pm

Re: ST3: BracketHighlighter 2

Postby facelessuser on Wed Feb 27, 2013 6:47 pm

If you have been using ST3 with the Python3 branch of Package Control and have installed BracketHighlighter via Package Control by adding the ST3 repo for BracketHighlighter. I have resolved one more issue with Windows systems and bracket plugins not loading. BH2 should now run fine from the archive no matter what system you are using.
facelessuser
 
Posts: 1576
Joined: Tue Apr 05, 2011 7:38 pm

Re: ST3: BracketHighlighter 2

Postby robertcollier4 on Wed Feb 27, 2013 10:14 pm

I downloaded BracketHighlighter-BH2ST3.zip from github and can't get it to work with ST3. If I put the files in SublimeText\Data\Packages\BracketHighlighter, then I get error in console:
Traceback (most recent call last):
File "D:\PortableApps\SublimeText\sublime_plugin.py", line 147, in on_api_ready
m.plugin_loaded()
File "D:\PortableApps\SublimeText\Data\Packages\BracketHighlighter\bh_core.py", line 1422, in plugin_loaded
init_icons()
File "D:\PortableApps\SublimeText\Data\Packages\BracketHighlighter\bh_core.py", line 1380, in init_icons
version = sublime.load_resource("Packages/BracketHighlighter/icons/icon_version.json")
AttributeError: 'module' object has no attribute 'load_resource'

If I put the files in SublimeText\Data\Packages\User\BracketHighlighter, then I get no errors in the console. But then if I go to Preferences > Package Settings > Bracket Settings - Default, I get an empty file because it loads SublimeText\Data\Packages\BracketHighlighter\bh_core.sublime-settings.

So either way it is not fully working. Perhaps this is relevant: Data\Packages\User is a cryptic nested dir structure.
robertcollier4
 
Posts: 154
Joined: Sun Feb 24, 2013 5:37 pm

Re: ST3: BracketHighlighter 2

Postby facelessuser on Wed Feb 27, 2013 10:22 pm

You must be on build 3013 or higher for BH to run on ST3 now. Earlier versions of ST3 do not have access to load_resource API calls.

Dev build containing build 3013 is here: http://www.sublimetext.com/3dev
facelessuser
 
Posts: 1576
Joined: Tue Apr 05, 2011 7:38 pm

Re: ST3: BracketHighlighter 2

Postby iamntz on Thu Feb 28, 2013 5:47 am

Since last update (i'm not sure if it's either the ST or BH update!) i can't see the gutter icons anymore

Image

Theme - BracketHighlighter directory it's created and sublimeLinter add it's icons in gutter

(since package control doesn't work anymore i suspect is something wrong with latest build)

Btw, i'm not sure how this sublime package thing works. Who create the package? How? Where can I download it?
iamntz
 
Posts: 917
Joined: Fri Apr 29, 2011 8:52 am
Location: Romania

Re: ST3: BracketHighlighter 2

Postby facelessuser on Thu Feb 28, 2013 6:46 am

Hang tight. Recent update broke some stuff. I should have a fix soonish.
facelessuser
 
Posts: 1576
Joined: Tue Apr 05, 2011 7:38 pm

Re: ST3: BracketHighlighter 2

Postby facelessuser on Thu Feb 28, 2013 6:55 am

- Support icons inside archive with 3014 API
- Support changes for new add_region features
- Add highlight styles: thin_underline, squiggly, stippled

ST3 BracketHighlighter 2 now requires 3014 to work. New highlight styles for brackets are listed above. Enjoy.

You can delete the Theme - BracketHighlighter folder now; it is no longer needed thanks to Jons new changes.
facelessuser
 
Posts: 1576
Joined: Tue Apr 05, 2011 7:38 pm

Re: ST3: BracketHighlighter 2

Postby lewisl on Sun Mar 10, 2013 9:37 pm

Nothing works for me.

Installed the repository/branch for st 3 (https://github.com/facelessuser/Bracket ... ree/BH2ST3) on my machine in the Packages folder.

It appears to be the only brackethighlighter installed (e.g., nothing from ST2 and no package).

Then, went to install it via package control, which was supposed to use the existing repository. ST3 said it was installed.

Close and restart sublime 3 (build 3017).

Nothing.

We better control of this packages thing. Every package developer can't have their own way to install packages. That's chaos. If we don't get back to one way, then not many of the packages will get tested with sublime text 3 and will have few working packages by the time it ships.
lewisl
 
Posts: 27
Joined: Thu May 10, 2012 5:52 am

PreviousNext

Return to Plugin Announcements

Who is online

Users browsing this forum: Google [Bot] and 8 guests